Package x2go :: Package backends :: Package terminal :: Module plain :: Class X2GoSessionParams

[frames] | no frames]

# Class X2GoSessionParams

source code

    object --+
             |
            X2GoSessionParams

The X2GoSessionParams class is used to store all parameters that `X2GoTerminalSession` backend objects are constructed with.

Instance Methods

`str`

rewrite_session_type(self) Rewrite the X2Go session type, so that the X2Go server can understand it (`desktop` -> `D`, etc.). | source code

update(self, **properties_to_be_updated) Update all properties in the object X2GoSessionParams object from the passed on dictionary. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### rewrite_session_type(self)

source code

Rewrite the X2Go session type, so that the X2Go server can understand it (`desktop` -> `D`, etc.).

Also if the object's `command` property is a known window manager, the session type will be set to 'D' (i.e. desktop).

Returns: `str`
  'D' if session should probably a desktop session, 'R' for rootless sessions, 'P' for sessions providing published applications, and 'S' for desktop sharing sessions

### update(self, **properties_to_be_updated)

source code

Update all properties in the object X2GoSessionParams object from the passed on dictionary.

Parameters:
  - `properties_to_be_updated` (`dict`) - a dictionary with X2GoSessionParams property names as keys und their values to be update in X2GoSessionParams object.